Bug 407489 - shift+printscreen (full screen) and meta+shift+printscreen (rectangular region) shortcuts do not work on Wayland
Summary: shift+printscreen (full screen) and meta+shift+printscreen (rectangular regio...
Status: RESOLVED FIXED
Alias: None
Product: Spectacle
Classification: Applications
Component: General (show other bugs)
Version: 19.11.80
Platform: Archlinux Linux
: NOR normal
Target Milestone: ---
Assignee: Boudhayan Gupta
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-13 11:17 UTC by Patrick Silva
Modified: 2020-06-16 17:06 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.20


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2019-05-13 11:17:38 UTC
STEPS TO REPRODUCE
1. start Wayland session
2. press shift+printscreen or meta+shift+printscreen shortcuts
3. 

OBSERVED RESULT
nothing happens

EXPECTED RESULT
shift+printscreen takes a full screen screenshot, meta+shift+printscreen
activates the rectangular region mode.

SOFTWARE/OS VERSIONS
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.15.80
KDE Frameworks Version: 5.58.0
Qt Version: 5.12.0
Comment 1 Patrick Silva 2020-06-12 11:07:08 UTC
Currently the taken screenshot is not saved (see bug 422860) but both shortcuts already work on neon unstable.

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.19.80
KDE Frameworks Version: 5.71.0
Qt Version: 5.14.2
Comment 2 Méven Car 2020-06-16 17:06:46 UTC
Git commit 889d407bd49b1f53e9dde101bc7d05e6ffc14d95 by Méven Car.
Committed on 16/06/2020 at 17:06.
Pushed by meven into branch 'master'.

Wayland: allow to take immediate and delayed screenshots

Summary:
The feature adds a runtime dependency on D29407 Plasma 5.20.
Related: bug 414532
FIXED-IN: 5.20

Reviewers: davidre, davidedmundson, apol, bport, ngraham

Reviewed By: davidre, apol

Subscribers: pejakm, #spectacle

Tags: #spectacle

Differential Revision: https://phabricator.kde.org/D29408

M  +46   -6    src/Platforms/PlatformKWinWayland.cpp

https://invent.kde.org/graphics/spectacle/commit/889d407bd49b1f53e9dde101bc7d05e6ffc14d95